Subject: [PATCH v17 02/13] arm64: Add cpus_are_stuck_in_kernel

From: [email-masked] (James Morse)
Date: Thu, 09 Jun 2016 15:51:48 +0100

Hi Geoff,

On 03/06/16 19:13, Geoff Levand wrote:
> From: James Morse <[email-masked]>
> 
> kernel/smp.c has a fancy counter that keeps track of the number of CPUs
> it marked as not-present and left in cpu_park_loop(). If there are any
> CPUs spinning in here, kexec will release them once the memory is re-used
> by the new kernel.
> 
> We can't return an error once we reach machine_kexec(), so as a sanity check
> we forbid kexec images to be loaded if there are already cpus stuck in the
> kernel, or we have multiple cpus and no way of disabling them.
> 
> Signed-off-by: James Morse <[email-masked]>
> [Split off from a larger patch]
> Signed-off-by: Geoff Levand <[email-masked]>

Post-split, the second paragraph of the commit message is out of place, and
doesn't describe what the patch does. Can I suggest replacing it with:

> Provide a function to expose whether this counter is non-zero, so we can use >
this when loading a new kexec image, and when calling machine_kexec().

Thanks,

James